Last modified: 2012-12-21 13:46:22 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21791 - migration of names.php to a relational model using ISO-639-3, ISO 15924, directionality, variants, etc.
migration of names.php to a relational model using ISO-639-3, ISO 15924, dire...
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2009-12-08 00:47 UTC by lɛʁi לערי ריינהארט
Modified: 2012-12-21 13:46 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description lɛʁi לערי ריינהארט 2009-12-08 00:47:59 UTC
Dear friends,

One should think about migrating names.php to a futere more accepted (relationatiol) model. Main internet sites are using language codes which have a different meaning and mapping gets more and more an issue.

On the other side the available localizations for (actual) MediaWiki language codes and the projects of the Wikimedia Foundation have accumulated much knowledge about how to get a large acceptance. The "etc." in the subject includes site setup with different default font families textsize and instructions how to configure computers to represent the content properly ( http://hi.wikipedia.org/w/index.php?curid=39388 etc. ).

I assume that seting up wikis requiring other mixed or font families then from the large projects need a lot of additional configurattion which could be provided directly by Mediawiki.

If the information about proper representation is available in MediaWiki one could use magix words as {{FOO-Arab:bar}} beside {{FOO-Tibt:bar}} without much configuration. The model should include handling of language script variants as those available today for Kurdish, Serbian etc. languages. Directionality will automatically inherit from the script directionality.

Additional information as the ethnologogue classifications (language, metalanguage, dialect, dispute?, extinct, constructed etc.) might clarify what is the code about. Beside the mentioned technical help one might link to the main article about the "language" at English Wikipedia. It is self evident that the values for {{lang:}} should be preserved.

This might start a ling discussion. Please let it happen in whatever wiki (meta: mediawiki: ...) and please avoid a list.

Thanks for all efforts in advance!

Best regards Reinhardt [[user:Gangleri]]

P.S. {{FOO-Arab:bar}}, {{FOO-Tibt:bar}} etc. can be sonsidered as a syntax expansion. They might be used or agreed with another popular sites.
Comment 1 lɛʁi לערי ריינהארט 2009-12-15 17:44:13 UTC
(In reply to comment #0)
...
> (relationatiol) model

should read *(relationational) model*

In order to ilustrate the problem:
please note:
a) Arabic, Persian, Bengali, Malayalam etc. startup installations might be (are) illeggibile.
   This is a general issue at many sites (and browsers)
   see http://www.facebook.com/topic.php?topic=14009&uid=20531316728
b) [[ব্যবহারকারী:Gangleri]] ( http://bn.wikipedia.org/w/index.php?curid=1558 )
   [[ml:ഉപയോക്താവ്:Gangleri]] ( http://ml.wikipedia.org/w/index.php?curid=2635 )
   where the text using Basic Latin Unicode characters are illeggibile

Hope to find a wiki in order to emulate such a relationational model.

Regards Reinhardt [[user:Gangleri]]
Comment 2 Siebrand Mazeland 2010-08-29 12:05:00 UTC
"More accepted" is a relative term; very POV. The web application that I work with usually have a similar way of defining supported languages as MediaWiki. Overhauling MediaWiki the way you suggest wouldn't bring that much, and would be a huge effort. Closing as LATER, awaiting patches.
Comment 3 Andre Klapper 2012-12-21 13:46:22 UTC
(In reply to comment #2)
> Overhauling MediaWiki the way you suggest wouldn't bring that much

Closing as "WONTFIX" (developers do not plan to fix this) to get rid of the deprecated "LATER" resolution and to provide a realistic outlook - unfortunately developer manpower and time is limited, sorry. In case you feel that this really must get fixed your contributed patch is highly welcome.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links